documentation:
  title: simple_start
  description: My very first esmvaltool script
  authors:
  - unmaintained
  maintainer:
  - unmaintained
preprocessors:
  mypp_map:
    regrid:
      target_grid: 1x1
      scheme: linear
    climate_statistics:
      operator: mean
      period: full
    convert_units:
      units: degrees_C
  mypp_ts:
    regrid:
      target_grid: 1x1
      scheme: linear
    area_statistics:
      operator: mean
    annual_statistics:
      operator: mean
    convert_units:
      units: degrees_C
  default: {}
diagnostics:
  map:
    description: my very first map diagnostics
    variables:
      air_temperature:
        exp: historical
        mip: Amon
        preprocessor: mypp_map
        project: CMIP6
        short_name: tas
        timerange: 2010/2014
        ensemble: r1i1p1f1
    scripts:
      myscript:
        script: ~/esmvaltool_workshop/mydiag.py
datasets:
- dataset: BCC-ESM1
  grid: gn
  version: v20181214
- dataset: NorESM2-LM
  grid: gn
  version: v20190815
- dataset: EC-Earth3
  grid: gr
  version: v20200310
